- Customers
- Get customer
Customers
Get customer
Get customer
GET
/customers/{customerId}
curl --request GET \
--url https://api.treeunfe.com.br/api/v1/customers/{customerId} \
--header 'x-api-key: <api-key>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://api.treeunfe.com.br/api/v1/customers/{customerId} \
--header 'x-api-key: <api-key>' \
--header 'x-api-key: <x_api_key>'Authentication
x-api-key
required
string
The organization’s API Key (rawKey).
Path parameters
customerId
required
string
The customer’s ID (UUID).
Responses
| Status | Description |
|---|---|
200 | Customer. |
404 | Resource not found. |
curl -X GET "https://api.treeunfe.com.br/api/v1/customers/CUSTOMERID" \
-H "x-api-key: ORGANIZATION_RAW_KEY"
{
"CNPJCPF": "12345678909",
"xNome": "Cliente Teste",
"indIEDest": "NAO_CONTRIBUINTE",
"IE": "string",
"email": "cliente@exemplo.com.br",
"address": {
"xLgr": "Rua das Palmeiras",
"nro": "456",
"xCpl": "string",
"xBairro": "Centro",
"cMun": 3550308,
"xMun": "São Paulo",
"UF": "SP",
"CEP": "01002000",
"fone": "string"
}
}
curl -X GET "https://api.treeunfe.com.br/api/v1/customers/CUSTOMERID" \
-H "x-api-key: ORGANIZATION_RAW_KEY"
curl --request GET \
--url https://api.treeunfe.com.br/api/v1/customers/{customerId} \
--header 'x-api-key: <api-key>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://api.treeunfe.com.br/api/v1/customers/{customerId} \
--header 'x-api-key: <api-key>' \
--header 'x-api-key: <x_api_key>'{
"CNPJCPF": "12345678909",
"xNome": "Cliente Teste",
"indIEDest": "NAO_CONTRIBUINTE",
"IE": "string",
"email": "cliente@exemplo.com.br",
"address": {
"xLgr": "Rua das Palmeiras",
"nro": "456",
"xCpl": "string",
"xBairro": "Centro",
"cMun": 3550308,
"xMun": "São Paulo",
"UF": "SP",
"CEP": "01002000",
"fone": "string"
}
}